# 55. رفع ملفات zip (أكبر من 6 ميغابايت)

بسبب قيود تقنية لمزود السحابة AWS، يجب تحميل الملفات الأكبر من 6 ميجابايت على خطوتين:

#### **1. طلب رابط موقع موقّع مسبقًا للقيام بالتحميل المباشر لاحقًا.**  <a href="#step1" id="step1"></a>

كمُدخل:&#x20;

* `نوع_الملف` - `مردود` أو `تربة` أو `المطبق` أو `applied` أو `حدود`,&#x20;
* `معرف_المزرعة` (اختياري) - المعرف الفريد (UUID) للمزرعة التي سيتم استيراد الملف إليها.&#x20;

كمُخرج:

* `uuid` - المعرف المتوقع بعد التحميل والمعالجة،
* `معرف_المزرعة` - نفس القيمة كما في المُدخل،
* `نوع_الملف` - نفس القيمة كما في المُدخل،
* `رابط_s3` - عنوان URL المستخدم لتحميل الملف،
* `حقول_s3` - السمات التي يجب تمريرها في نموذج تحميل الملف.

تفاصيل كيفية استخدام `رابط_s3` و `حقول_s3` موضحة في الخطوة الثانية.&#x20;

هذه السمات صالحة لمدة 60 دقيقة فقط لتحميل الملف.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GeneratePresignedPostFileData {
  generatePresignedPostFileData(input:{
    fileType: applied
    farmUuid: "8bba5132-3a92-4ce1-8699-220e78ad68bd"
  } ) {
    uuid
    معرف_المزرعة
    نوع_الملف
    رابط_s3
    حقول_s3
  }
}

```

{% endcode %}

#### **2. أرسل ملفًا محليًا إلى s3Url مع سمات النموذج المحددة مسبقًا من s3Fields.**  <a href="#step2" id="step2"></a>

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

ستُسلَّم الإشعارات المتعلقة بالمعالجة عبر آلية الاشتراك الموضحة في\
&#x20;[1. الاشتراك: الحصول على الأحداث](/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/1.-alashtrak-alhswl-ala-alahdath.md).

{% hint style="info" %}
يتضمن رأس الاستجابة `Etag` رأس، والذي يظهر على سبيل المثال `Etag: "6fd3e76992738357ab50039f2c60024e"`. تُستخدم هذه القيمة لاحقًا في GraphQL [query getPlatformContext](/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/83.-alastalam-jma-syaq-almnsh.md) لمراقبة تقدم المعالجة، وكذلك الربط مع الكيانات "Field" و"AsAppliedDataset" و"YieldDataset" و"SoilDataset".
{% endhint %}

{% hint style="info" %}
استخدم `‘Accept-Encoding’:’gzip, deflate, br’`.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/55.-rfa-mlfat-zip-akbr-mn-6-myghabayt.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
